------------------------------------------------------------------------------
--  Ada95 Interface to Oracle RDBMS                                         --
--  Copyright (C) 2000-2001 Dmitriy Anisimkov.                              --
--  License text and authors contact information could be found in oci.ads  --
------------------------------------------------------------------------------
package OCI.Thick.Gen_OCINumber is
  
   generic 
      with function OCINumberOper(
                  err : OCIError; 
                  number : OCINumber; 
                  result : access OCINumber) return sword;
   function Unary_Function(from : OCINumber) return OCINumber;   

   generic 
      with function OCINumberOper(
                  err : OCIError; 
                  number1 : OCINumber; 
                  number2 : OCINumber; 
                  result : access OCINumber) return sword;
   function Binary_Function(Left,Right : OCINumber) return OCINumber;   


end OCI.Thick.Gen_OCINumber;