with OCI.Environments;
package OCI.Thick.Servers is

   type Server is new Handle_Reference with private;
   
   function Attach (Name : String) return Server;
   
   procedure Break (It : Server);
   procedure Reset (It : Server);

private
   
   type Server is new Handle_Reference with record
      Environment : OCI.Environments.Thread_Environment;
   end record;

   procedure Destroy (It : in out Server);
      
end OCI.Thick.Servers;