with System;
package body OCI.Thick.Binds.Lob is

  type4Bind : array (Lob_Type) of UB2 := (
     File => SQLT_FILE,
     Bin => SQLT_BLOB,
--     NChar => SQLT_CLOB,
     Char => SQLT_CLOB
     );

   ----------
   -- Bind --
   ----------

   procedure Bind
     (Stmt : Statement;
      Var : in out Bind_Lob;
      Value : in Lobs.Lob;
      Name : String)
   is
      use type Sb4;
   begin
      Bind (
         Stmt => Stmt,
         Var => Var,
         Name => Name,
         Type_Id => Type4Bind (Get_Lob_Type (Value)),
         Value => Get_Bind_Address (Value),
         --  Value => Value.Handle,
         Size => OCIHandle'Size / System.Storage_Unit);
      if Lobs.Is_Init (Value) then
         Var.Indicator.all := Not_Null_Indicator;
      end if;
      Var.Loc := Value;
   end Bind;
   
   function Get_Lob (Var : Bind_Lob) return Lobs.Lob
   is
   begin
      return Var.Loc;
   end;

end OCI.Thick.Binds.Lob;

